
/*  ####################### CSS section Activities calendar Col-12 #######################  */

.activities-calendar.column-12 .activities-calendar-card {
    position: relative;
    width: 100%;
    height: 375px;
    background: var(--white);
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.activities-calendar.column-12 .activities__image {
    width: 100%;
    height: 100%;
    border-top-left-radius: 24px;
    border-bottom-left-radius: 24px;
    overflow: hidden;
}

.activities-calendar.column-12 .activities__image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.activities-calendar.column-12 .activities__detail {
    width: 100%;
    padding: 32px 32px 32px 60px;
    background-color: rgba(250, 251, 253, 0.75);
    backdrop-filter: blur(8px);
    border-top-right-radius: 24px;
    border-bottom-right-radius: 24px;
}

.description--text {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    /* กำหนดให้แสดงผลแค่ 2 บรรทัด */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    max-height: 3em;
}

@media (max-width: 1199px) {
    .activities-calendar.column-12 .activities__detail {
        padding: 32px 32px 32px 40px;
    }
}

@media (max-width: 991px) {
    .activities-calendar.column-12 .activities-calendar-card {
        display: block;
        height: 555px;
    }
    .activities-calendar.column-12 .activities__image {
        border-radius: 24px;
    }

    .activities-calendar.column-12 .activities__detail {
        position: absolute;
        bottom: 0;
        left: 0;
        padding: 32px;
        border-top-right-radius: 0;
        border-bottom-left-radius: 24px;
        border-bottom-right-radius: 24px;
    }
}
@media (max-width: 575px) {
    .activities-calendar.column-12 .activities-calendar-card {
        height: 450px;
    }
    .activities-calendar.column-12 .activities__detail {
        padding: 24px;
    }
}






/*  ####################### CSS section Activities calendar Col-6 #######################  */

.activities-calendar.column-6 .activities-calendar-card {
    position: relative;
    width: 100%;
    height: 555px;
    background: var(--white);/
}

.activities-calendar.column-6 .activities__image {
    width: 100%;
    height: 100%;
    border-radius: 24px;
    overflow: hidden;
}

.activities-calendar.column-6 .activities__image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.activities-calendar.column-6 .activities__detail {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 32px;
    background-color: rgba(250, 251, 253, 0.75);
    backdrop-filter: blur(8px);
    border-bottom-left-radius: 24px;
    border-bottom-right-radius: 24px;
    box-shadow: rgba(0, 0, 0, 0.08) 0px 4px 12px;
}

.description--text {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    /* กำหนดให้แสดงผลแค่ 2 บรรทัด */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    max-height: 3em;
}

@media (max-width: 575px) {
    .activities-calendar.column-6 .activities-calendar-card {
        height: 450px;
    }
    .activities-calendar.column-6 .activities__detail {
        padding: 24px;
    }
}





/*  ####################### CSS section Activities calendar Col-4 #######################  */

.activities-calendar.column-4 .activities-calendar-card {
    position: relative;
    width: 100%;
    height: 555px;
    background: var(--white);/
}

.activities-calendar.column-4 .activities__image {
    width: 100%;
    height: 100%;
    border-radius: 24px;
    overflow: hidden;
}

.activities-calendar.column-4 .activities__image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.activities-calendar.column-4 .activities__detail {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 32px;
    background-color: rgba(250, 251, 253, 0.75);
    backdrop-filter: blur(8px);
    border-bottom-left-radius: 24px;
    border-bottom-right-radius: 24px;
}

.description--text {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    /* กำหนดให้แสดงผลแค่ 2 บรรทัด */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    max-height: 3em;
}

@media (max-width: 575px) {
    .activities-calendar.column-4 .activities-calendar-card {
        height: 450px;
    }
    .activities-calendar.column-4 .activities__detail {
        padding: 24px;
    }
}
